import request from '@/utils/request'

// 获取用户消费记录
export function spreadCommission(data, state) {
	return request({
		url: '/api/spread/commission/' + state,
		method: 'get',
		data
	});
}

// 获取账户余额
export function userBalance(data) {
	return request({
		url: '/api/user/balance',
		method: 'get',
		data
	});
}

export function wallet(data) {
	return request({
		url: '/api/wallet',
		method: 'get',
		data
	});
}

// 提现
export function extractCash(data) {
	return request({
		url: '/api/extract/cash',
		method: 'post',
		data
	});
}

// 提现
export function exchangeCash(data) {
	return request({
		url: '/api/extract/brokerage',
		method: 'post',
		data
	});
}

// 提现信息
export function extractBank(data) {
	return request({
		url: '/api/extract/bank',
		method: 'get',
		data
	});
}
// #ifdef H5
// 公众号充值
export function rechargeWechat(data) {
	return request({
		url: '/api/recharge/wechat',
		method: 'post',
		data
	});
}
// #endif
// #ifdef MP
// 小程序充值
export function rechargeRoutine(data) {
	return request({
		url: '/api/recharge/routine',
		method: 'post',
		data
	});
}
// #endif
// #ifdef APP-PLUS
// 支付宝充值
export function rechargeAli(data) {
	return request({
		url: '/api/recharge/ali',
		method: 'post',
		data
	});
}
// #endif
// 获取提现支付宝账号
export function aliInfo(data) {
	return request({
		url: '/api/auction/pay_list',
		method: 'get',
		data
	});
}
//获取默认银行卡账号
export function bankInfo(data) {
	return request({
		url: '/api/bank/info',
		method: 'get',
		data
	});
}
// 保存提现支付宝账号
export function setAliInfo(data) {
	return request({
		url: '/api/ali/edit',
		method: 'post',
		data
	});
}
//保存默认银行卡账号
export function setBankInfo(data) {
	return request({
		url: '/api/bank/edit',
		method: 'post',
		data
	});
}


// 账户余额
export function balance(data) {
	return request({
		url: '/api/user/balance',
		method: 'get',
		data
	});
}

// 账户余额
export function cashList(data) {
	return request({
		url: '/api/cash/list',
		method: 'get',
		data
	});
}

//充值金额
export function moneyChong(data) {
	return request({
		url: '/api/recharge/index',
		method: 'get',
		data
	})
}

//添加收款方式
export function getMoneyType(data) {
	return request({
		url: '/api/auction/pay',
		method: 'post',
		data
	});
}
